git-diff-files(1)
=================

NAME
----
git-diff-files - Compares files in the working tree and the index


SYNOPSIS
--------
[verse]
'git diff-files' [-q] [-0 | -1 | -2 | -3 | -c | --cc] [<common-diff-options>] [<path>...]

DESCRIPTION
-----------
Compares the files in the working tree and the index.  When paths
are specified, compares only those named paths.  Otherwise all
entries in the index are compared.  The output format is the
same as for 'git diff-index' and 'git diff-tree'.

OPTIONS
-------
include::diff-options.adoc[]

-1 --base::
-2 --ours::
-3 --theirs::
-0::
	Diff against the "base" version, "our branch", or "their
	branch" respectively.  With these options, diffs for
	merged entries are not shown.
+
The default is to diff against our branch (-2) and the
cleanly resolved paths.  The option -0 can be given to
omit diff output for unmerged entries and just show "Unmerged".

-c::
--cc::
	This compares stage 2 (our branch), stage 3 (their
	branch), and the working tree file and outputs a combined
	diff, similar to the way 'diff-tree' shows a merge
	commit with these flags.

-q::
	Remain silent even for nonexistent files


include::diff-format.adoc[]

GIT
---
Part of the linkgit:git[1] suite
